<script lang="ts" setup>
import Button from 'primevue/button'
import LogoBanner from '@/components/LogoBanner.vue'
import LoginButton from '@/components/LoginButton.vue'
import { getSignUpUrl } from '@/api/http'

const onSignUpClick = () => {
  const url = getSignUpUrl()
  window.open(url, '_blank', 'noreferrer')
}
</script>

<template>
  <div class="content pt-5 w-full flex justify-center">
    <div class="md:min-w-4/12">
      <LogoBanner />
      <h1 class="text-lg" >Welcome to this 10Duke Scale SDK demo application!</h1>
      <h2>Please log in or sign up to access your licenses.</h2>
      <div class="flex flex-row justify-center">
        <div class="pt-5 w-4/12 flex justify-center">
          <LoginButton class="mr-5"/>
          <Button
            class="bg-themeblue-500 text-slate-50 text-xs min-w-[75px] px-1 md:text-base md:px-2"
            @click="onSignUpClick"
            data-test="button-sign-up"
          >
            Sign up
          </Button>
        </div>
      </div>
    </div>
  </div>
</template>
